Update an API key
curl --request PATCH \
--url http://127.0.0.1:8787/v1/auth/api-keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enabled": true,
"permissions": [],
"metadata": {}
}
'import requests
url = "http://127.0.0.1:8787/v1/auth/api-keys/{id}"
payload = {
"name": "<string>",
"enabled": True,
"permissions": [],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', enabled: true, permissions: [], metadata: {}})
};
fetch('http://127.0.0.1:8787/v1/auth/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "success",
"message": "<string>"
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
}
}{
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred"
}
}API Keys
Update an API key
PATCH
/
v1
/
auth
/
api-keys
/
{id}
Update an API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I